Package Details: dungeondraft 1.0.3.2-2

Git Clone URL: https://aur.archlinux.org/dungeondraft.git (read-only, click to copy)
Package Base: dungeondraft
Description: Dungeondraft is a tabletop encounter map creation tool designed to draw aesthetic maps without the typical frustrations and time investment
Upstream URL: https://dungeondraft.net
Licenses: custom:TailwindGamesLicense
Submitter: lucaci32u4
Maintainer: lucaci32u4 (shawly)
Last Packager: lucaci32u4
Votes: 4
Popularity: 0.51
First Submitted: 2020-11-28 00:36 (UTC)
Last Updated: 2024-03-31 14:36 (UTC)

Latest Comments

1 2 Next › Last »

lucaci32u4 commented on 2024-03-31 14:39 (UTC)

Added shawly's patch to the PKGBUILD and updated the version in .SRCINFO.

How, this can be used with AUR helpers by setting an environment variable:

export DUNGEONDRAFT_DOWNLOAD_URL=https://...

shawly commented on 2022-07-23 19:07 (UTC)

I changed the PKGBUILD to allow the usage of AUR helpers, with this patch you can set the download URL via export DUNGEONDRAFT_DOWNLOAD_URL=xyz to the URL that your Humble Bundle store page provides and then install the package. It will verify the variable with the url and then download and install the package.

With this there is no more need to clone the AUR repo and manually download the package which should make things a little more convenient.

diff --git a/.SRCINFO b/.SRCINFO
index 55f9733..911d957 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,6 +1,6 @@
 pkgbase = dungeondraft
    pkgdesc = Dungeondraft is a tabletop encounter map creation tool designed to draw aesthetic maps without the typical frustrations and time investment
-   pkgver = 1.0.0.0
+   pkgver = 1.0
    pkgrel = 1
    url = https://dungeondraft.net
    arch = x86_64
@@ -8,8 +8,7 @@ pkgbase = dungeondraft
    makedepends = unzip
    depends = mono
    depends = zenity
-   source = file:///Dungeondraft-1.0.0.0-Linux64-hotfix.zip
+   source = $DUNGEONDRAFT_DOWNLOAD_URL
    md5sums = SKIP

 pkgname = dungeondraft
-
diff --git a/PKGBUILD b/PKGBUILD
index 9f9c546..d2909b0 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -2,17 +2,13 @@
 # Maintainer: Alexandru Iercosan-Lucaci <lucaci32u4@gmail.com>

 #
-# Download the Dungeondraft zip archive from HumbleBundle and place it
-# in the same folder with this PKGBUILD and run makepkg.
+# Set DUNGEONDRAFT_DOWNLOAD_URL with the download url provided by 
+# the Humble Bundle purchase page and the nrun makepkg.
 # $ makepkg -si
 #
 # It will work with all current versions of Dungeondraft.
-# The version string is detected dinamically when run.
+# The version string is detected dynamically when run.
 #
-# Note: AUR helpers might not be able to use this package.
-#       Install manually.
-#
-

 pkgname=dungeondraft
 pkgrel=1
@@ -23,14 +19,28 @@ arch=('x86_64')
 url='https://dungeondraft.net'
 license=('custom:TailwindGamesLicense')

-depends=('mono' 'zenity')
-makedepends=('unzip')
+depends=('zenity')
+
+red_color='\033[0;31m'
+bold_font='\033[1m'
+no_color='\033[0m'
+
+if [[ -z $DUNGEONDRAFT_DOWNLOAD_URL ]]; then
+   echo -e "${red_color}${bold_font}==> ERROR:${no_color}${bold_font} You need to set DUNGEONDRAFT_DOWNLOAD_URL to install Dungeondraft!" 
+   echo ""
+   echo "To get the download URL go to your Humble Bundle purchases https://www.humblebundle.com/home/purchases, select Dungeondraft and then copy the link from the \"Manual Install\" button under the Linux section."
+   echo "Afterwards execute \"export DUNGEONDRAFT_DOWNLOAD_URL=<the url you copied>\"."
+   exit 12
+fi

+if [[ ! $DUNGEONDRAFT_DOWNLOAD_URL =~ ^https://dl.humble.com/tailwindgamesllc_ChunI/Dungeondraft.* ]]; then
+    echo -e "${red_color}${bold_font}==> ERROR:${no_color}${bold_font} DUNGEONDRAFT_DOWNLOAD_URL seems to be invalid! Your download link has to start with \"https://dl.humble.com/tailwindgamesllc_ChunI/Dungeondraft*\"."
+   exit 12
+fi

-sourcezip="$(ls . | grep -E '.*Dungeondraft.*..zip' | sort | head -n 1)"
-source=("file:///$sourcezip")
+source=("$DUNGEONDRAFT_DOWNLOAD_URL")
 md5sums=('SKIP')
-pkgver="$(echo "$sourcezip" | grep -oE '[0-9]+(\.[0-9]+)*' | head -n 1)"
+pkgver="$(echo "$DUNGEONDRAFT_DOWNLOAD_URL" | grep -oE '[0-9]+(\.[0-9]+)*' | head -n 1)"
 package() {
    local destdir="$pkgdir/opt/Dungeondraft"
    mkdir -p "$destdir"

Twiglet commented on 2022-03-08 13:13 (UTC) (edited on 2022-03-16 18:21 (UTC) by Twiglet)

I don't know if this is helpful but the API query needed to list download urls is:

URL="https://www.humblebundle.com/api/v1/order/YOURKEYHERE?wallet_data=true&all_tpkds=true&get_coupons=true"

Replacing YOURKEYHERE with the key from the url of your purchase.

Get the version of the Latest release:

DD_VERSION=$(curl "$url" | jq -r '.subproducts[].human_name' | grep -i 'latest' | grep -oE '[0-9]+(\.[0-9]+)*')

You can then get the zip url with the right auth strings:

curl "$url" | jq ".subproducts[].downloads[] | select(.platform == 'linux').download_struct[] | select(.name == 'Manual Install') | select(.url.web | contains(\"$DD_VERSION\")).url.web"

I'm an arch noob so don't know if it's possible to pass a variable/read from the environment variables into the process but this would automate the download as long as you have something like DUNGEONDRAFT_KEY=foobarbaz in your environment.

Lamdarer commented on 2022-03-05 21:53 (UTC)

@pdf could you maybe post just the content necessary for the build file? Though I think I edited the original file correctly, my steps where: pamac clone --builddir /tmp/builddir dungeondraft cd /tmp/builddir/dungeondraft vi PKGBUILD pamac build however I get an error saying that for dungeondraft 'x86_64'-Architektur is not available. Did I do something wrong?

pdf commented on 2021-11-20 05:17 (UTC) (edited on 2021-11-20 05:18 (UTC) by pdf)

The following patch allows building 1.0.2.4 using the .deb package, which seems to be returned no matter what you click in the Humble library (this method also happens to be much simpler, and less prone to breakage):

diff --git a/PKGBUILD b/PKGBUILD
index 9f9c546..44e5878 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -13,7 +13,6 @@
 #       Install manually.
 #

-
 pkgname=dungeondraft
 pkgrel=1

@@ -27,22 +26,11 @@ depends=('mono' 'zenity')
 makedepends=('unzip')


-sourcezip="$(ls . | grep -E '.*Dungeondraft.*..zip' | sort | head -n 1)"
-source=("file:///$sourcezip")
+sourcedeb="$(ls . | grep -E '.*Dungeondraft.*..deb' | sort | head -n 1)"
+source=("file:///$sourcedeb")
 md5sums=('SKIP')
-pkgver="$(echo "$sourcezip" | grep -oE '[0-9]+(\.[0-9]+)*' | head -n 1)"
+pkgver="$(echo "$sourcedeb" | grep -oE '[0-9]+(\.[0-9]+)*' | head -n 1)"
+
 package() {
-       local destdir="$pkgdir/opt/Dungeondraft"
-       mkdir -p "$destdir"
-       mv "data_Dungeondraft" "$destdir"
-       mv "Dungeondraft.pck" "$destdir"
-       mv "Dungeondraft.png" "$destdir"
-       mv "Dungeondraft.x86_64" "$destdir"
-       chmod a+x "$destdir/Dungeondraft.x86_64"
-       mv "EULA.txt" "$destdir"
-       mv "example_template.zip" "$destdir"
-       mkdir -p "$pkgdir/usr/share/applications"
-       mv "Dungeondraft.desktop" "$pkgdir/usr/share/applications"
+  bsdtar -O -xf "$sourcedeb" data.tar.xz | bsdtar -C "${pkgdir}" -xJf -
 }
-
-

RatchaTowns commented on 2021-10-24 19:59 (UTC)

I had to delete the "Dungeondraft.png" line from the PKGBUILD in order to install Dungeondraft 1.0.2.4, but it otherwise worked fine.

If anyone else is struggling to install this with an AUR helper, make sure you read the comment in the PKGBUILD.

tombenko commented on 2021-09-29 17:43 (UTC)

As I look to it, it seems to turned into paid software. :/

Pdetiege commented on 2021-09-28 19:44 (UTC) (edited on 2021-09-28 19:45 (UTC) by Pdetiege)

Getting the same error tombenko had while installing using yay: ":: (1/1) Parsing SRCINFO: dungeondraft ==> ERROR: pkgver is not allowed to be empty." Any advice on how to solve this?

tombenko commented on 2021-05-19 19:32 (UTC)

makepkg says pkgver is empty.

straemer commented on 2021-04-24 18:29 (UTC)

If you're seeing a crash after the latest update, try changing the mono lib dir to a symlink to /lib64, e.g.

ln -s /lib64 /opt/Dungeondraft/data_Dungeondraft/Mono/lib